/*# sourceMappingURL=main.css.map */

:root {
	--swiper-theme-color: #007aff;
}

:host {
	z-index: 1;
	margin-left: auto;
	margin-right: auto;
	display: block;
	position: relative;
}

.swiper {
	z-index: 1;
	margin-left: auto;
	margin-right: auto;
	padding: 0;
	list-style: none;
	display: block;
	position: relative;
	overflow: hidden;
}

.swiper-vertical > .swiper-wrapper {
	flex-direction: column;
}

.swiper-wrapper {
	z-index: 1;
	width: 100%;
	height: 100%;
	transition-property: transform;
	transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial);
	box-sizing: content-box;
	display: flex;
	position: relative;
}

.swiper-android .swiper-slide, .swiper-ios .swiper-slide, .swiper-wrapper {
	transform: translate3d(0, 0, 0);
}

.swiper-horizontal {
	touch-action: pan-y;
}

.swiper-vertical {
	touch-action: pan-x;
}

.swiper-slide {
	flex-shrink: 0;
	width: 100%;
	height: 100%;
	transition-property: transform;
	display: block;
	position: relative;
}

.swiper-slide-invisible-blank {
	visibility: hidden;
}

.swiper-autoheight, .swiper-autoheight .swiper-slide {
	height: auto;
}

.swiper-autoheight .swiper-wrapper {
	align-items: flex-start;
	transition-property: transform, height;
}

.swiper-backface-hidden .swiper-slide {
	backface-visibility: hidden;
	transform: translateZ(0);
}

.swiper-3d.swiper-css-mode .swiper-wrapper {
	perspective: 1200px;
}

.swiper-3d .swiper-wrapper {
	transform-style: preserve-3d;
}

.swiper-3d {
	perspective: 1200px;
}

.swiper-css-mode {}

.swiper-3d {}

.swiper-lazy-preloader {
	z-index: 10;
	transform-origin: 50%;
	box-sizing: border-box;
	border: 4px solid var(--swiper-preloader-color, var(--swiper-theme-color));
	border-top-color: rgba(0, 0, 0, 0);
	border-radius: 50%;
	width: 42px;
	height: 42px;
	margin-top: -21px;
	margin-left: -21px;
	position: absolute;
	top: 50%;
	left: 50%;
}

.swiper:not(.swiper-watch-progress), .swiper-watch-progress .swiper-slide-visible {}

.swiper-lazy-preloader-white {
	--swiper-preloader-color: #fff;
}

.swiper-lazy-preloader-black {
	--swiper-preloader-color: #000;
}

@keyframes swiper-preloader-spin {
	100% {
		transform: rotate(360deg);
	}
}

:root {
	--swiper-navigation-size: 44px;
}

.swiper-button-prev, .swiper-button-next {
	width: var(--swiper-navigation-size);
	height: var(--swiper-navigation-size);
	z-index: 10;
	cursor: pointer;
	color: var(--swiper-navigation-color, var(--swiper-theme-color));
	justify-content: center;
	align-items: center;
	display: flex;
	position: absolute;
}

.swiper-button-lock {
	display: none;
}

.swiper-button-prev, .swiper-button-next {
	top: var(--swiper-navigation-top-offset, 50%);
	margin-top: calc(0px - ( var(--swiper-navigation-size) / 2 ));
}

.swiper-button-prev {
	left: var(--swiper-navigation-sides-offset, 4px);
	right: auto;
}

.swiper-button-next {
	right: var(--swiper-navigation-sides-offset, 4px);
	left: auto;
}

.swiper-horizontal {}

.swiper-vertical {}

.swiper-free-mode > .swiper-wrapper {
	margin: 0 auto;
	transition-timing-function: ease-out;
}

.swiper-pagination {
	text-align: center;
	z-index: 10;
	transition: opacity .3s;
	position: absolute;
	transform: translate3d(0, 0, 0);
}

.swiper-pagination-fraction, .swiper-pagination-custom, .swiper-horizontal > .swiper-pagination-bullets, .swiper-pagination-bullets.swiper-pagination-horizontal {
	bottom: var(--swiper-pagination-bottom, 8px);
	top: var(--swiper-pagination-top, auto);
	width: 100%;
	left: 0;
}

.swiper-pagination-bullets-dynamic {
	font-size: 0;
	overflow: hidden;
}

.swiper-pagination-bullet {
	width: var(--swiper-pagination-bullet-width, var(--swiper-pagination-bullet-size, 8px));
	height: var(--swiper-pagination-bullet-height, var(--swiper-pagination-bullet-size, 8px));
	border-radius: var(--swiper-pagination-bullet-border-radius, 50%);
	background: var(--swiper-pagination-bullet-inactive-color, #000);
	opacity: var(--swiper-pagination-bullet-inactive-opacity, .2);
	display: inline-block;
}

.swiper-pagination-bullet-active {
	opacity: var(--swiper-pagination-bullet-opacity, 1);
	background: var(--swiper-pagination-color, var(--swiper-theme-color));
}

.swiper-vertical > .swiper-pagination-bullets, .swiper-pagination-vertical.swiper-pagination-bullets {
	right: var(--swiper-pagination-right, 8px);
	left: var(--swiper-pagination-left, auto);
	top: 50%;
	transform: translate3d(0, -50%, 0);
}

.swiper-horizontal > .swiper-pagination-bullets, .swiper-pagination-horizontal.swiper-pagination-bullets {}

.swiper-horizontal.swiper-rtl > .swiper-pagination-bullets-dynamic .swiper-pagination-bullet {
	transition: transform .2s, right .2s;
}

.swiper-pagination-fraction {
	color: var(--swiper-pagination-fraction-color, inherit);
}

.swiper-pagination-progressbar {
	background: var(--swiper-pagination-progressbar-bg-color, rgba(0, 0, 0, .25));
	position: absolute;
}

.swiper-pagination-lock {
	display: none;
}
